import { getMasterCardColor, getPillColor } from "./colors";
export var getMasterCardBackground = function getMasterCardBackground(background, flavour) {
  return background || getMasterCardColor(flavour);
};
var getPillBackground = function getPillBackground(_ref) {
  var background = _ref.background,
    _ref$flavour = _ref.flavour,
    flavour = _ref$flavour === void 0 ? "neutral" : _ref$flavour,
    hollow = _ref.hollow,
    semi = _ref.semi;
  if (background) return background;
  if (hollow) return semi ? getPillColor("hollow", flavour) : "transparent";
  return getPillColor("background", flavour);
};
export default getPillBackground;